.thumbs-ratio {
    background: #ef8e01;
    padding-top: 14px;
    border-radius: 100%;
    color: #fff;
    font-size: 0.9em;
    text-align: center;
    width: 40px;
    height: 40px;
}
a {
    color: #ef8e01;
    text-decoration: none;
}

td a{
    margin-right: 0.5rem;
}

.text-ratio{
    color: #ef8e01;
}
.bg-ratio{
    background: #ef8e01;
    color: #fff;
}
.btn-ratio{
    background: #ef8e01;
    color: #fff;
}
.btn-ratio:hover{
    background: #ef8e01;
    color: #fff;
}
.bg-ratio-50{
    background: rgba(239, 142, 1, 0.25);
}
.hide{
    display: none;
}
.show{
    display: block;
}
.title-bc{
    position: fixed;
    top: 65px;
    left: 254px;
    width: 90%;
    padding: 20px 2rem;
    background: #f5f7fa;
    z-index: 2;
}
.content{
    padding-top: 200px;
}
.end-5 {
    right: 5%!important;
}
.end-10 {
    right: 10%!important;
}
.bottom-10 {
    bottom: 10%!important;
}
label.form-label.required:after {
    content: ' *';
    color: red;
    font-size: 1.3em;
}
.tox-tinymce.is-invalid .tox-sidebar-wrap {
    border: 1px solid #dc3545 !important;
    border-radius: 0.375rem;
}
.tox-tinymce.is-invalid .tox-sidebar-wrap.editor-focused {
    box-shadow: 0 0 0 0.25rem rgba(220, 53, 69, 0.25) !important;
}
.page-link.active, .active>.page-link {
    color: #ef8e01;
    background-color: transparent;
    border: 1px solid #ef8e01;
}
.page-link:hover {
    color: #ef8e01;
}
.setting-toggle {
    top: auto;
    bottom: 150px;
}
.setting-toggle-2 {
    right: -20px;
    top: auto;
    bottom: 300px;
}
.w-10 {
    width: 10% !important;
}
.w-15 {
    width: 15% !important;
}
#settings-offcanvas{
    overflow-y: auto;
}
.opacity-primario{
    position: absolute;
    top: 23px;
    left: 0;
    width: 100%;
    height: 40px;
    background: rgba(255, 255, 255, 0.4);
    cursor: not-allowed;
}
#btn-delete{
    position: absolute;
    top: 20px;
    left: 5px;
    background: red;
    color: white;
    padding: 4px 5px;
    border-radius: 100%;
    line-height: 1;
    font-size: 10px;
    cursor: pointer;
}
#operazione-riuscita{
    padding-right: 60px !important;
}

.form-message{
    font-size: 0.75em;
    line-height: 1;
    padding-top: 5px;
}
.navbar-vertical .navbar-vertical-content .navbar-nav .nav-link.active,
.navbar-vertical .nav-item-wrapper:has(.active) .dropdown-indicator.label-1.collapsed .nav-link-text,
.navbar-vertical .nav-item-wrapper:has(.active) .dropdown-indicator.label-1.collapsed .nav-link-icon {
    color: #ef8e01;
}
.utenti_f3565d{
    color:#f3565d!important;
}
.utenti_bbb{
    color:#bbb!important;
}
.choices .choices__list {
    z-index: 2;
}

.text-blue{
    color: #0000ff !important;
}
.background-modal{
    background: rgba(0, 0, 0, 0.5);
}

.filemanager-icon{
    color: #525b75 !important;
}
.filemanager-icon:hover{
    color: #ef8e01 !important;
}

.ticket-close{
    color: #ddd !important;
}
.tickets-number {
    position: absolute;
    top: 10px;
    right: 0;
}
.no-underline:hover, .no-underline:focus {
    text-decoration: none !important;
}
.kw-box{
    min-height: 80px;
}
.kw-documenti{
    position: absolute;
    top: 5px;
    right: 5px;
    text-align: right;
}
.dissocia {
    position: relative;
    display: inline-block;
}

.dissocia::before {
    content: '';
    position: absolute;
    top: 50%;
    left: 0;
    width: 100%;
    height: 2px;
    background-color: #ef8e01;
    transform: rotate(-45deg);
    transform-origin: center;
    z-index: 1;
}

/* Stile del loader che copre tutta la pagina */
.loader {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(255, 255, 255, 0.5); /* Sfondo semitrasparente */
    display: flex;
    justify-content: center;
    align-items: center;
    z-index: 9999; /* Assicurati che il loader sia sopra tutto */
    visibility: hidden; /* Di default nascosto */
    opacity: 0;
    transition: visibility 0s, opacity 0.3s ease-in-out;
}

/* Spinner semplice */
.spinner {
    border: 8px solid #f3f3f3; /* Bordo esterno chiaro */
    border-top: 8px solid #ef8e01; /* Bordo superiore colorato */
    border-radius: 50%;
    width: 60px;
    height: 60px;
    animation: spin 1s linear infinite; /* Animazione rotatoria */
}

/* Animazione dello spinner */
@keyframes spin {
    0% {
        transform: rotate(0deg);
    }
    100% {
        transform: rotate(360deg);
    }
}

/* Mostra il loader */
.loader.active {
    visibility: visible;
    opacity: 1;
}
.tox .tox-tbtn {
    width: auto !important;
    max-width: 70px;
}
.ticket-collapse img{
    max-width: 100%;
}
.in-verifica {
    color: #c7c7c7 !important;
}

.table-sm>:not(caption)>*>* {
    padding: .4rem .4rem;
}
.remove-btn {
    position: absolute;
    right: 3px;
    top: 3px;
    width: auto;
    cursor: pointer;
    padding: 2px;
}
.move-btns {
    position: absolute;
    right: 35px;
    top: 5px;
    width: auto;
    gap: 10px;
    display: flex;
    cursor: pointer;
}
#tableExample a.clicked {
    color: purple !important;
}
.fatturazione-edit{
    position:absolute;
    right: 3px;
    bottom: 3px;
}
#copyPathSuccess{
    position: absolute;
    bottom: 5px;
    right: 5px;
}
#fileManagerContent {
    min-height: 300px;
}
#loaderFM{
    position: absolute;
    background: rgba(255, 255, 255, 0.5);
    width: 100%;
    top: 80px;
    padding-top: 5%;
}

/* Stile per il contenitore del collapse */
.collapse-container {
    border: 1px solid #ddd;
    position: relative;
    padding: 10px!important;
}

.collapse-container .row{
    --phoenix-gutter-x: 1rem;
}

/* Barra che rimane sempre in alto all'interno del collapse */
.sticky-bar-save {
    position: sticky;
    top: 0;
    left: 0;
    right: 0;
    background: transparent;
    padding: 20px;
    /* border-bottom: 2px solid #ccc; */
    /* z-index: 10; */
}
.sticky-bar {
    position: sticky;
    top: 0;
    left: 0;
    right: 0;
    background: #fff;
    padding: 20px;
    border-bottom: 2px solid #ccc;
    z-index: 10;
}

/* Aggiunge spazio per evitare che il contenuto venga coperto dalla barra */
.collapse-content {
    padding: 1rem!important;
}

.custom-checkbox {
    width: 20px;
    height: 20px;
    border: 1px solid #aaa;
    border-radius: 3px;
    background-color: #fff;
    position: absolute;
    right: 5px;
}

.custom-checkbox.checked {
    background-color: #4caf50;
    border-color: #4caf50;
}

.custom-checkbox.checked::after {
    content: '';
    position: absolute;
    left: 5px;
    top: 0;
    width: 7px;
    height: 15px;
    border: solid white;
    border-width: 0 2px 2px 0;
    transform: rotate(45deg);
}

.menu-highlight {
    background-color: #ffff00;
    color: #000;
    font-weight: 600;
}

.choices[data-type*=select-one] .choices__input{
    width: 100% !important;
}
